.hidden {
  display: none !important;
}

input:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus, input:-webkit-autofill:active {
  -webkit-text-fill-color: #000;
  box-shadow: 0 0 0px 1000px #fff inset;
  -webkit-transition: background-color 5000s ease-in-out 0s;
  transition: background-color 5000s ease-in-out 0s;
}

input:autofill,
input:autofill:hover,
input:autofill:focus,
input:autofill:active {
  -webkit-text-fill-color: #000;
  box-shadow: 0 0 0px 1000px #fff inset;
  transition: background-color 5000s ease-in-out 0s;
}

:focus-visible {
  outline: none;
}

input:focus {
  --tw-ring-color: none !important;
}

.chart-wrap {
  border: 1px solid #e4e8e8;
  border-radius: 1.6rem;
  background: #fff;
  grid-row: 1/span 2;
  grid-column: 2/span 3;
  flex-shrink: 0;
  padding: 2rem 2.6rem;
}
.chart-wrap .new-search-count-wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 0;
  gap: 1rem;
  cursor: default;
  width: 100%;
  margin-bottom: 1rem;
}
.chart-wrap .new-search-count-wrap .search-count-box {
  border: none;
  border-radius: 1.6rem;
  background: #f4f6fa;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0;
  flex-grow: 1;
  aspect-ratio: 57/6.4;
  gap: 2rem;
  padding: 2rem;
}
.chart-wrap .new-search-count-wrap .search-count-box .search-count-title {
  color: #2c2e30;
  font-size: 1.6rem;
  font-weight: 500;
  line-height: 2rem;
}
.chart-wrap .new-search-count-wrap .search-count-box .search-date-badge {
  border: none;
  border-radius: 0.8rem;
  background: #668bef;
  color: #fff;
  font-size: 1.6rem;
  font-weight: 700;
  line-height: 2rem;
  padding: 0.4rem 0.6rem;
  min-width: 9rem;
  min-height: 2.8;
}
.chart-wrap .new-search-count-wrap .search-count-box .search-count {
  color: #2c2e30;
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 2.4rem;
}
.chart-wrap .new-search-count-wrap :nth-child(1) .search-date-badge {
  background-color: #ff616a;
}
.chart-wrap .chart-option-block {
  display: flex;
  justify-content: flex-start;
  align-items: stretch;
  gap: 1rem;
}
.chart-wrap .chart-option-block .dropdown-block #chart-option {
  border: none;
  border-radius: 0.8rem;
  background: #f8fafc;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 0;
  color: #1e2229;
  font-size: 1.4rem;
  font-weight: 400;
  letter-spacing: -3%;
  padding: 0.7rem 1.4rem;
  width: 8rem;
  height: 100%;
}
.chart-wrap .chart-option-block .dropdown-block #chart-option::after {
  content: "\f078";
  font-family: "FontAwesome";
  color: #77859c;
  font-size: 1rem;
}
.chart-wrap .chart-option-block .dropdown-block #chart-option:hover {
  background-color: #e9ecf2;
}
.chart-wrap .chart-option-block .dropdown-block #chartOption {
  width: 8rem;
}
.chart-wrap .chart-option-block .dropdown-block #chartOption .chart-option-dropdown {
  border: 1px solid #fff;
  border-radius: 0.8rem;
  background: #f8fafc;
  box-shadow: 0px 0px 4px 4px rgba(119, 133, 156, 0.1);
  width: 100%;
  overflow: hidden;
}
.chart-wrap .chart-option-block .dropdown-block #chartOption .chart-option-dropdown li {
  color: #1e2229;
  font-size: 1.4rem;
  font-weight: 400;
  letter-spacing: -3%;
  padding: 0.7rem 1.4rem;
  width: 100%;
}
.chart-wrap .chart-option-block .dropdown-block #chartOption .chart-option-dropdown li:hover {
  background-color: #e9ecf2;
  cursor: pointer;
}
.chart-wrap .chart-option-block .period-block {
  border: none;
  border-radius: 0.8rem;
  background: #f8fafc;
  padding: 0.4rem;
}
.chart-wrap .chart-option-block .period-block button {
  color: #1e2229;
  font-size: 1.4rem;
  font-weight: 400;
  letter-spacing: -3%;
  border-radius: 0.8rem;
  padding: 0.8rem 1.2rem;
}
.chart-wrap .chart-option-block .period-block button.active {
  background-color: #3868eb;
  color: #fff;
}
.chart-wrap .chart-option-block .period-block button.active:hover {
  background-color: #3868eb;
  color: #fff;
}
.chart-wrap .chart-option-block .period-block button:hover {
  background-color: #e9ecf2;
}
.chart-wrap .chart-option-block #flatpickrBtn {
  border: none;
  border-radius: 0.8rem;
  background: #f8fafc;
  padding: 0.7rem 1.4rem;
  color: #77859c;
  font-size: 1.4rem;
  font-weight: 400;
  letter-spacing: -3%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 0.8rem;
}
.chart-wrap .chart-option-block #flatpickrBtn.active {
  background-color: rgba(56, 104, 235, 0.1254901961);
  border: 1px solid #3868eb;
  color: #1e2229;
}
.chart-wrap .chart-option-block #flatpickrBtn.active::before {
  color: #1e2229;
}
.chart-wrap .chart-option-block #flatpickrBtn.selected {
  color: #1e2229;
  --tw-ring-color: transparent;
}
.chart-wrap .chart-option-block #flatpickrBtn::before {
  content: "\f274";
  font-family: "FontAwesome";
  color: #77859c;
  font-size: 1.6rem;
}
.chart-wrap .chart-block {
  width: 100%;
  height: 22rem;
  margin-top: 1.8rem;
}

.search-amount {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 0;
  flex-direction: column;
  align-self: stretch;
}
.search-amount .block {
  flex: 1 0 0;
}
.search-amount .title {
  color: #77859c;
  font-size: 1.6rem;
  font-weight: 600;
  line-height: 100%;
  letter-spacing: -3%;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 0.4rem;
}
.search-amount .amount {
  color: #1e2229;
  font-size: 2rem;
  font-weight: 700;
  line-height: 100%;
  letter-spacing: -3%;
}
.search-amount.month {
  grid-row: 1/span 1;
  grid-column: 1/span 1;
}
.search-amount.month .title::before {
  content: "\f002";
  border: none;
  border-radius: 0.2rem;
  background: #77859c;
  width: 1.6rem;
  height: 1.6rem;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0;
  font-size: 1rem;
  font-weight: 300;
  color: #fff;
  padding: 0.2rem;
  font-family: "FontAwesome";
}
.search-amount.lastyear {
  grid-row: 2/span 1;
  grid-column: 1/span 1;
}
.search-amount.lastyear .title::before {
  content: "\e473";
  border: none;
  border-radius: 0.2rem;
  background: #77859c;
  width: 1.6rem;
  height: 1.6rem;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0;
  font-size: 1rem;
  font-weight: 300;
  color: #fff;
  padding: 0.2rem;
  font-family: "FontAwesome";
}.flatpickr-monthSelect-months {
  margin: 10px 1px 3px 1px;
  -webkit-flex-wrap: wrap;
      -ms-flex-wrap: wrap;
          flex-wrap: wrap;
}

.flatpickr-monthSelect-month {
  background: none;
  border: 1px solid transparent;
  border-radius: 4px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  color: #393939;
  cursor: pointer;
  display: inline-block;
  font-weight: 400;
  margin: 0.5px;
  justify-content: center;
  padding: 10px;
  position: relative;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  text-align: center;
  width: 33%;
}

.flatpickr-monthSelect-month.flatpickr-disabled {
	color: #eee;
}

.flatpickr-monthSelect-month.flatpickr-disabled:hover,
.flatpickr-monthSelect-month.flatpickr-disabled:focus {
	cursor: not-allowed;
	background: none !important;
}

.flatpickr-monthSelect-theme-dark {
  background: #3f4458;
}

.flatpickr-monthSelect-theme-dark .flatpickr-current-month input.cur-year {
  color: #fff;
}

.flatpickr-monthSelect-theme-dark .flatpickr-months .flatpickr-prev-month,
.flatpickr-monthSelect-theme-dark .flatpickr-months .flatpickr-next-month {
  color: #fff;
  fill: #fff;
}

.flatpickr-monthSelect-theme-dark .flatpickr-monthSelect-month {
  color: rgba(255, 255, 255, 0.95);
}

.flatpickr-monthSelect-month.today {
  border-color: #959ea9;
}

.flatpickr-monthSelect-month.inRange,
.flatpickr-monthSelect-month.inRange.today,
.flatpickr-monthSelect-month:hover,
.flatpickr-monthSelect-month:focus {
  background: #e6e6e6;
  cursor: pointer;
  outline: 0;
  border-color: #e6e6e6;
}

.flatpickr-monthSelect-theme-dark .flatpickr-monthSelect-month.inRange,
.flatpickr-monthSelect-theme-dark .flatpickr-monthSelect-month:hover,
.flatpickr-monthSelect-theme-dark .flatpickr-monthSelect-month:focus {
  background: #646c8c;
  border-color: #646c8c;
}

.flatpickr-monthSelect-month.today:hover,
.flatpickr-monthSelect-month.today:focus {
  background: #959ea9;
  border-color: #959ea9;
  color: #fff;
}

.flatpickr-monthSelect-month.selected,
.flatpickr-monthSelect-month.startRange,
.flatpickr-monthSelect-month.endRange {
  background-color: #569ff7;
  -webkit-box-shadow: none;
          box-shadow: none;
  color: #fff;
  border-color: #569ff7;
}

.flatpickr-monthSelect-month.startRange {
  border-radius: 50px 0 0 50px;
}

.flatpickr-monthSelect-month.endRange {
  border-radius: 0 50px 50px 0;
}

.flatpickr-monthSelect-month.startRange.endRange {
  border-radius: 50px;
}

.flatpickr-monthSelect-month.inRange {
  border-radius: 0;
  -webkit-box-shadow: -5px 0 0 #e6e6e6, 5px 0 0 #e6e6e6;
          box-shadow: -5px 0 0 #e6e6e6, 5px 0 0 #e6e6e6;
}

.flatpickr-monthSelect-theme-dark .flatpickr-monthSelect-month.selected,
.flatpickr-monthSelect-theme-dark .flatpickr-monthSelect-month.startRange,
.flatpickr-monthSelect-theme-dark .flatpickr-monthSelect-month.endRange {
  background: #80cbc4;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #fff;
  border-color: #80cbc4;
}
